jQuery(document).ready(function($) {

    $('.helpful-block-content a').click(function(event) {
		
        event.preventDefault();
        var post_id = $(this).data('post');
        var response = $(this).data('response');
        var show_positive_message = false;
        var show_negative_message = false;
        var main = $(this).parent();
        main.find('.wth_title').remove();
        main.find('.wth_message').remove();
        main.find('.wth_submit').remove();

        var title_message = '';
        if (wth_js_lang.positive_feedback == 'true') {
            show_positive_message = true;
            title_message = wth_js_lang.wth_title_yesthank;
        }
        if (wth_js_lang.negative_feedback == 'true') {
            show_negative_message = true;
            title_message = wth_js_lang.wth_title_nothank;
        }

        if (response == '1') {
            title_message = wth_js_lang.wth_title_yesthank;
        } else if (response == '0') {
            title_message = wth_js_lang.wth_title_nothank;
        }
        if ((show_negative_message == true && response == '0') || (show_positive_message == true && response == '1')) {
            var title_box = $('<div class="wth_title">' + title_message + '</div>');
            var mess_box = $('<textarea class="wth_message" rows="3" cols="30"></textarea>');
            var negative_btn = $('<input data-response="' + response + '" data-post="' + post_id + '" type="button" name="wth_submit" class="wth_submit" value="' + wth_js_lang.submit_text + '"/>');
            main.append(title_box);
            main.append(mess_box);
            main.append(negative_btn);
        } else {
            wth_send_feedback($(this));
        }

    });

    function wth_send_feedback(obj) {
        var post_id = $(obj).data('post');
        var response = $(obj).data('response');
        var message = $(obj).parent().find('.wth_message').val();
        var ajax_url = wth_js_lang.ajax_url;
        var data = {
            post_id: post_id,
            response: response,
            message: message,
            action: 'wth_ajax_call',
            operation: 'wthp_log_feedback',
            nonce: wth_js_lang.nonce
        };
        var main = $(obj).parent();

        $.ajax({
            url: ajax_url,
            data: data,
            dataType: 'json',
            type: 'POST',
            beforeSend: function() {
                main.append('<div class="wth_loader"></div>');
            },
            complete: function() {
                //main.find('.wth_loader').remove();
            },
            success: function(resp) {
                elem = $('<p>').hide();
                if (resp.success == true) {
                    elem.addClass('wth_success');
                } else if (resp.error == true) {
                    elem.addClass('wth_error');
                }
                main.parent().html(elem);
                elem.html(resp.message).fadeIn(500);
            },
        });
    }
    $('body').on('click', '.wth_submit', function(event) {
        event.preventDefault();
        wth_send_feedback($(this));
    });

});
