<?php
/**
 * Setting page for was this helpful.
 * @author Flipper Code <hello@flippercode.com>
 * @version 1.0.4
 * @package Was This Helpful
 */

$db = maybe_unserialize( get_option( 'wthp_option_settings' ) );

if(array_key_exists('wthp_option_settings',$db))
$data['wthp_option_settings'] = $db['wthp_option_settings'];
else
$data['wthp_option_settings'] = $db;

$form  = new WTH_FORM();
$form->form_id = 'wthp_option_settings_form';
$form->set_header( __( 'Enable / Disable Settings', WTH_TEXT_DOMAIN ), $response );

$post_type_options = array( 'post' => __( 'Posts',WTH_TEXT_DOMAIN ), 'page' => __( 'Page',WTH_TEXT_DOMAIN ) );

$form->add_element( 'multiple_checkbox', 'wthp_option_settings[post_type_enable][]', array(
	'lable' => __( 'Apply On', WTH_TEXT_DOMAIN ),
	'value' => $post_type_options,
	'current' => $data['wthp_option_settings']['post_type_enable'],
	'class' => 'chkbox_class ',
	'default_value' => 'all',
	'desc' => __( 'Enable for selected post types.', WTH_TEXT_DOMAIN ),

));

$form->add_element( 'checkbox', 'wthp_option_settings[singular]', array(
	'lable' => __( 'For Single Post', WTH_TEXT_DOMAIN ),
	'value' => 'true',
	'id' => 'date_filters',
	'current' => isset( $data['wthp_option_settings']['singular'] ) ? $data['wthp_option_settings']['singular'] : '',
	'desc' => __( 'Enable for single post page.', WTH_TEXT_DOMAIN ),
	'class' => 'chkbox_class',
	'default_value' => 'false',
));

$form->add_element( 'checkbox', 'wthp_option_settings[archive]', array(
	'lable' => __( 'For Blog Archive Page', WTH_TEXT_DOMAIN ),
	'value' => 'true',
	'id' => 'date_filters',
	'current' => isset( $data['wthp_option_settings']['archive'] ) ? $data['wthp_option_settings']['archive'] : '',
	'desc' => __( 'Enable for posts display on blog archives page.', WTH_TEXT_DOMAIN ),
	'class' => 'chkbox_class',
	'default_value' => 'false',
));

$form->add_element( 'checkbox', 'wthp_option_settings[categories]', array(
	'lable' => __( 'For Category Archive Page', WTH_TEXT_DOMAIN ),
	'value' => 'true',
	'id' => 'date_filters',
	'current' => isset( $data['wthp_option_settings']['categories'] ) ? $data['wthp_option_settings']['categories'] : '',
	'desc' => __( 'Enable for posts display on categories page.', WTH_TEXT_DOMAIN ),
	'class' => 'chkbox_class',
	'default_value' => 'false',
));



$form->add_element( 'group', 'text_setting_group', array(
	'value' => __( 'Text Settings', WTH_TEXT_DOMAIN ),
	'before' => '<div class="fc-12">',
	'after' => '</div>',
));

$form->add_element( 'text', 'wthp_option_settings[hlp_title_text]', array(
		'lable' => __( 'Your Question', WTH_TEXT_DOMAIN ),
		'value' => isset( $data['wthp_option_settings']['hlp_title_text'] ) ? $data['wthp_option_settings']['hlp_title_text'] : '',
		'desc' => __( 'Would you like to call it something else? Please do it here.',WTH_TEXT_DOMAIN ),
		'class' => 'form-control',
		'default_value' => __( 'Was this Helpful ?', WTH_TEXT_DOMAIN ),

	));

$form->add_element( 'text', 'wthp_option_settings[hlp_text_yes]', array(
		'lable' => __( 'Positive Button', WTH_TEXT_DOMAIN ),
		'value' => $data['wthp_option_settings']['hlp_text_yes'],
		'desc' => __( 'default value is "yes"',WTH_TEXT_DOMAIN ),
		'class' => 'form-control',
		'default_value' => __( 'yes', WTH_TEXT_DOMAIN ),
	));

$form->add_element( 'text', 'wthp_option_settings[hlp_text_no]', array(
		'lable' => __( 'Negative Button', WTH_TEXT_DOMAIN ),
		'value' => $data['wthp_option_settings']['hlp_text_no'],
		'desc' => __( 'default value is "no"',WTH_TEXT_DOMAIN ),
		'class' => 'form-control',
		'default_value' => __( 'no', WTH_TEXT_DOMAIN ),
	));

$form->add_element( 'text', 'wthp_option_settings[hlp_text_thank]', array(
		'lable' => __( 'Thank You Message', WTH_TEXT_DOMAIN ),
		'value' => $data['wthp_option_settings']['hlp_text_thank'],
		'desc' => __( 'Say a thank you message after feedback.',WTH_TEXT_DOMAIN ),
		'class' => 'form-control',
		'default_value' => __( 'Thank You for your feedback.', WTH_TEXT_DOMAIN ),
	));

$form->add_element( 'group', 'wpp_reset_setting', array(
	'value' => __( 'Reset Ratings', WTH_TEXT_DOMAIN ),
	'before' => '<div class="fc-12">',
	'after' => '</div>',
));

$form->add_element( 'checkbox', 'reset_reviews', array(
	'lable' => __( 'Reset Reviews', WTH_TEXT_DOMAIN ),
	'value' => 'true',
	'id' => 'reset_reviews',
	'desc' => __( 'Tick to clear reviews for all posts. All reviews will be removed and reset to 0', WTH_TEXT_DOMAIN ),
	'class' => 'chkbox_class',
	'default_value' => 'false',
));

$form->add_element( 'group', 'limit_setting_group', array(
	'value' => __( 'Advanced Settings', WTH_TEXT_DOMAIN ),
	'before' => '<div class="fc-12">',
	'after' => '</div>',
));

$form->add_element( 'checkbox', 'wthp_option_settings[login_required]', array(
	'lable' => __( 'Login Required?', WTH_TEXT_DOMAIN ),
	'value' => 'true',
	'id' => 'date_filters',
	'current' => isset( $data['wthp_option_settings']['login_required'] ) ? $data['wthp_option_settings']['login_required'] : '',
	'desc' => __( 'Users must be registered and logged in to feedback.', WTH_TEXT_DOMAIN ),
	'class' => 'chkbox_class',
	'default_value' => 'false',
));

$form->add_element( 'textarea', 'wthp_option_settings[login_message]', array(
	'lable' => __( 'Login Message', WTH_TEXT_DOMAIN ),
	'value' => $data['wthp_option_settings']['login_message'],
	'desc' => __( 'Display message if user is not logged in.', WTH_TEXT_DOMAIN ),
	'textarea_rows' => 10,
	'textarea_name' => 'wthp_option_settings[login_message]',
	'class' => 'form-control wthp_login_message',
	'default_value' => __( 'You must have to logged in to feedback.',WTH_TEXT_DOMAIN ),
));

$form->add_element( 'radio', 'wthp_option_settings[feedback_limit]', array(
	'lable' => __( 'Limit Feedback', WTH_TEXT_DOMAIN ),
	'radio-val-label' => array( 'limit' => __( 'No Limit',WTH_TEXT_DOMAIN ),'ip' => __( 'By IP',WTH_TEXT_DOMAIN ) ),
	'current' => $data['wthp_option_settings']['feedback_limit'],
	'class' => 'chkbox_class',
	'default_value' => 'ip',
));


$form->add_element('submit','whp_save_settings',array(
	'value' => __( 'Save Settings',WTH_TEXT_DOMAIN ),
	));

$form->add_element('hidden','operation',array(
	'value' => 'save',
	));

$form->add_element('hidden','theme_id',array(
	'value' => '1',
	));

$form->render();
