<?php
/**
 * Render Shortcode.
 * @author Flipper Code <hello@flippercode.com>
 * @package Was This Helpful
 */
$wthp_option = maybe_unserialize( get_option( 'wthp_option_settings' ) );
if(array_key_exists('wthp_option_settings',$wthp_option)) 
$wthp_option = $wthp_option['wthp_option_settings'];

$wth_js_lang = array();
$wth_js_lang['ajax_url'] = admin_url( 'admin-ajax.php' );
$wth_js_lang['nonce'] = wp_create_nonce( 'wth-call-nonce' );
$wth_js_lang['confirm'] = __( 'Are you sure to delete item?',WTH_TEXT_DOMAIN );
$wth_js_lang['positive_feedback'] = @$wthp_option['positive_feedback'];
$wth_js_lang['negative_feedback'] = @$wthp_option['negative_feedback'];
$wth_js_lang['wth_title_nothank'] = @$wthp_option['hlp_text_nothank'];
$wth_js_lang['wth_title_yesthank'] = @$wthp_option['hlp_text_yesthank'];
$wth_js_lang['wth_thank_you'] = @$wthp_option['hlp_text_thank'];
$wth_js_lang['submit_text'] = __( 'Submit',WTH_TEXT_DOMAIN );
wp_localize_script( 'wth-frontend.js', 'wth_js_lang', $wth_js_lang );

global $post, $wp_query;

$shortcode = '[was-this-helpful';
$check = strpos( $post->post_content,$shortcode );
if($check){

$title = $wthp_option['hlp_title_text'] ?  $wthp_option['hlp_title_text'] : __( 'Was this Helpful?', 'wthp' );
$text_yes = $wthp_option['hlp_text_yes'] ?  $wthp_option['hlp_text_yes'] : __( 'Yes', 'wthp' );
$text_no = $wthp_option['hlp_text_no'] ?  $wthp_option['hlp_text_no'] : __( 'No', 'wthp' );
$helpful_content = '<div class="helpful-block-content wth_theme_1">
<ul>
<li><span class="wthp_title">{title}</span></li>
<li><a data-post="{post_id}" data-response="1" href="#">{yes_label}</a>&nbsp; &nbsp;<a data-response="0" data-post="{post_id}" href="#">{no_label}</a></li>
</ul>
</div>';
$helpful_content = str_replace('{title}', $title, $helpful_content);
$helpful_content = str_replace('{post_id}', $post->ID, $helpful_content);
$helpful_content = str_replace('{yes_label}', $text_yes, $helpful_content);
$helpful_content = str_replace('{no_label}', $text_no, $helpful_content);
return 	$helpful_content;

}
			
if ( is_array( $wthp_option['post_type_enable'] ) ) {

	if ( in_array( $post->post_type, $wthp_option['post_type_enable'] ) or in_array( 'all', $wthp_option['post_type_enable'] ) ) {

		if ( is_single() || is_singular() ) {

			if ( ! isset( $wthp_option['singular'] ) || $wthp_option['singular'] == false ) {

				return $content; }
		} elseif ( is_category() || is_tag() || is_tax() ) {

			if ( ! isset( $wthp_option['categories'] ) || $wthp_option['categories'] == false ) {

				return $content;
			}
		} else if ( is_post_type_archive() || is_archive() || is_home() || is_front_page() ) {

			if ( ! isset( $wthp_option['archive'] ) || $wthp_option['archive'] == false ) {
				return $content; }
		}
		$post_meta = get_post_meta( $post->ID, '_wthp_post_enable', true );

		if ( $post_meta == '0' ) {

			return $content;
		}


		if ( $wthp_option['archive'] == false and @$wthp_option['categories'] == false and $wthp_option['singular'] == false ) {
			return $content;
		}

		if ( is_single() || is_singular() || is_archive()  || is_category() || is_tag() || is_tax() || is_post_type_archive() || is_home() || is_front_page() ) {
			if ( wthp_already_voted( $post->ID ) ) {

				if ( get_transient( wthp_get_transient_key( $post->ID ) ) == false ) {

					return $content; }
			}

			$title = $wthp_option['hlp_title_text'] ?  $wthp_option['hlp_title_text'] : __( 'Was this Helpful?', 'wthp' );

			$text_yes = $wthp_option['hlp_text_yes'] ?  $wthp_option['hlp_text_yes'] : __( 'Yes', 'wthp' );

			$text_no = $wthp_option['hlp_text_no'] ?  $wthp_option['hlp_text_no'] : __( 'No', 'wthp' );
			$helpful_content = '<div class="helpful-block-content wth_theme_1">
<ul>
<li><span class="wthp_title">{title}</span></li>
<li><a data-post="{post_id}" data-response="1" href="#">{yes_label}</a>&nbsp; &nbsp;<a data-response="0" data-post="{post_id}" href="#">{no_label}</a></li>
</ul>
</div>';
			$helpful_content = str_replace('{title}', $title, $helpful_content);
			$helpful_content = str_replace('{post_id}', $post->ID, $helpful_content);
			$helpful_content = str_replace('{yes_label}', $text_yes, $helpful_content);
			$helpful_content = str_replace('{no_label}', $text_no, $helpful_content);

		}
	}
}

return $helpful_content;
